import React from 'react';

type HeaderLevel = 1 | 2 | 3 | 4 | 5 | 6;
interface FileType {
    url: string;
}
interface BlockData {
    message?: string;
    title?: string;
    content?: string[][];
    html?: string;
    height?: string | number;
    width?: string | number;
    embed?: string;
    code?: string;
    items?: string[];
    style?: "ordered" | "unordered";
    caption?: string;
    file?: FileType;
    level?: HeaderLevel;
    text?: string;
}
interface Block {
    type: string;
    data: BlockData;
}

declare const BlogContent: ({ block }: {
    block: Block;
}) => React.JSX.Element;

export { BlogContent };
